/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */

export interface paths {
    "/api/admin/expected-users": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get the list of all expected users */
        get: operations["get_expected_users"];
        put?: never;
        /** Update the list of expected users */
        post: operations["post_expected_users"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/logs": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get the list of logs */
        get: operations["get_logs"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/profile-picture-thumbnail/{sciper}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Admin user profile picture preview
         * @description Get the processed version of the profile picture
         */
        get: operations["get_admin_profile_picture_thumbnail"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/profile-picture/{sciper}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * User profile picture preview
         * @description Get the processed version of the profile picture
         */
        get: operations["get_admin_profile_picture"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/profile-picture/{sciper}/frame-override": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** User Profile Picture cropping */
        post: operations["post_admin_profile_picture_frame"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/profile-picture/{sciper}/rembg": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * User profile picture upload
         * @description Upload and replace user's profile picture
         */
        post: operations["post_admin_profile_picture_rembg"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/report": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Update the status of a report */
        post: operations["post_report"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/reports": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get the list of all reports */
        get: operations["get_reports"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/user/{sciper}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get specific user */
        get: operations["get_user"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/user/{sciper}/rejected": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Update the status of a report */
        post: operations["post_admin_user_rejected"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/admin/users": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get the list of all users */
        get: operations["get_users"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/health-check": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Simple health check
         * @description Simple health check for infrastructure probes
         */
        get: operations["health_check"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/login/email-login-callback": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Email Login Callback */
        post: operations["post_email_login_callback"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/login/email-login-request": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * Email Login Request
         * @description Returns no warning if the email has been sent. Performs multiple checks to determine if the user is elligible to email login (on the list, email matching)
         */
        post: operations["post_email_login_request"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/login/form-open": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Check if the form is open */
        get: operations["get_form_open"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/login/tequila-callback": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * Tequila Callback
         * @description To be used after Tequila redirects to the app. Returns the session_key
         */
        post: operations["post_tequila_callback"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/login/tequila-request": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * Tequila Request
         * @description Get Tequila authentication URL for the client redirection
         */
        post: operations["post_tequila_request"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/confirm": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Final form confirmation */
        post: operations["post_user_confirm"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/data": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get all data related to the user (personal, meta, files, ...) */
        get: operations["get_user_data"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/extra": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Extra form Update */
        post: operations["post_user_extra"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/identity": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * User Identity Update
         * @description Used by users to update identity-related fields (preferred firstname, lastname and program)
         */
        post: operations["post_user_identity"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/other-picture/{index}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get other picture by index */
        get: operations["get_user_other_picture"];
        put?: never;
        /**
         * User other picture upload
         * @description Upload or replace user's other picture if same index
         */
        post: operations["post_user_other_picture"];
        /** Delete user other picture */
        delete: operations["delete_user_other_picture"];
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/profile-picture": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * User profile picture preview
         * @description Get the processed version of the profile picture
         */
        get: operations["get_user_profile_picture"];
        put?: never;
        /**
         * User profile picture upload
         * @description Upload and replace user's profile picture
         */
        post: operations["post_user_profile_picture"];
        /** Delete user profile picture */
        delete: operations["delete_user_profile_picture"];
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/profile-picture-status": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * User profile picture status
         * @description Get the status of the profile picture
         */
        get: operations["get_user_profile_picture_status"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/profile-picture/frame": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * User Profile Picture cropping
         * @description Users save the fractional dimensions of their preferred cropping
         */
        post: operations["post_user_profile_picture_frame"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/report/list-error": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Create list error user report */
        post: operations["post_user_report_list_error"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/user/report/rembg": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Create rembg user report */
        post: operations["post_user_report_rembg"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        ExpectedUser: {
            firstname: string;
            lastname: string;
            mail_epfl?: string | null;
            mail_perso: string;
            note?: string | null;
            program: components["schemas"]["Program"];
            sciper: string;
        };
        ExpectedUserJoined: {
            firstname: string;
            lastname: string;
            mail_epfl?: string | null;
            mail_perso: string;
            note?: string | null;
            program: components["schemas"]["Program"];
            sciper: string;
            user?: components["schemas"]["User"] | null;
        };
        Log: {
            /** Format: int32 */
            id: number;
            log_type: components["schemas"]["LogType"];
            message: string;
            /** Format: date-time */
            timestamp: string;
            user_id?: string | null;
        };
        /** @enum {string} */
        LogType: "UserNew" | "UserUpdate" | "UserSubmit" | "UserInfo" | "UserWarn" | "UserError" | "FileUpload" | "FileError" | "SystemInfo" | "SystemError";
        OtherPicture: {
            /** Format: int32 */
            index: number;
            status: components["schemas"]["UploadStatus"];
            user_id: string;
        };
        PostAdminProfilePictureFrame: {
            /** Format: int32 */
            ae: number;
            frame_specs: components["schemas"]["ProfilePictureMetaFrameSpecs"];
            key: string;
        };
        PostAdminProfilePictureRemBG: {
            /** Format: int32 */
            ae: number;
            key: string;
        };
        PostAdminUserRejected: {
            admin_key: string;
            rejected: boolean;
        };
        PostEmailLoginCallback: {
            auth_token: string;
        };
        PostEmailLoginCallbackResponse: {
            session_key: string;
        };
        PostEmailLoginRequest: {
            email: string;
            ignore_email_warning: boolean;
            sciper: string;
        };
        PostEmailLoginResponse: {
            /** @description Email is not on the list but sciper ok, may be overriden by user */
            warning_email: boolean;
            /** @description Sciper is not on the list of expected users : blocking issue */
            warning_list: boolean;
        };
        PostExpectedUsers: {
            admin_key: string;
            csv_string: string;
        };
        PostReport: {
            admin_key: string;
            done: boolean;
            /** Format: int32 */
            report_id: number;
        };
        PostTequilaCallbackForm: {
            auth_check: string;
            request_key: string;
        };
        PostTequilaCallbackResponse: {
            session_key: string;
        };
        PostTequilaRequestResponse: {
            auth_url: string;
        };
        PostUserExtraForm: {
            question_teacher?: string | null;
        };
        PostUserIdentityForm: {
            preferred_firstname: string;
            preferred_lastname: string;
            preferred_program: components["schemas"]["Program"];
        };
        PostUserOtherPicture: {
            /** Format: binary */
            file: string;
        };
        PostUserProfilePicture: {
            /** Format: binary */
            file: string;
        };
        PostUserProfilePictureFrame: {
            frame_specs: components["schemas"]["ProfilePictureMetaFrameSpecs"];
        };
        PostUserReportListErrorForm: {
            email: string;
            message: string;
            sciper: string;
        };
        PostUserReportRembgForm: {
            message: string;
        };
        ProfilePictureMeta: {
            /**
             * Format: int32
             * @description value between 0-255
             */
            ae: number;
            filename: string;
            /** Format: int32 */
            filesize: number;
            frame_specs: components["schemas"]["ProfilePictureMetaFrameSpecs"];
            /** Format: int32 */
            height: number;
            /** Format: int32 */
            width: number;
        };
        ProfilePictureMetaFrameSpecs: {
            /** Format: float */
            ratio_h: number;
            /** Format: float */
            ratio_w: number;
            /** Format: float */
            ratio_x: number;
            /** Format: float */
            ratio_y: number;
            /** Format: int32 */
            zoom: number;
        };
        /** @enum {string} */
        Program: "MA_APP" | "PH_APP" | "AR" | "CGC_CH" | "GC" | "SC" | "MA_COMP" | "CS" | "CYBER" | "DS" | "DH" | "EL" | "ENERG" | "SIE" | "IF" | "SV" | "MTE" | "MX" | "MA" | "GM" | "MNIS" | "MT" | "CGC_MB" | "NX" | "NE" | "SIQ" | "PH" | "ROBOT" | "STAT" | "SMT";
        Report: {
            done: boolean;
            /** Format: int32 */
            id: number;
            message: string;
            report_type: components["schemas"]["ReportType"];
            /** Format: date-time */
            timestamp: string;
            user_id?: string | null;
        };
        /** @enum {string} */
        ReportType: "ListError" | "EmailFlagged" | "RembgReport";
        /** @enum {string} */
        UploadStatus: "Empty" | "ProcessingRembg" | "ProcessingFrame" | "Ready" | "Error";
        User: {
            auth_token?: string | null;
            email?: string | null;
            form_validated: boolean;
            identity_verified: boolean;
            official_firstname: string;
            official_lastname: string;
            official_program: components["schemas"]["Program"];
            preferred_firstname?: string | null;
            preferred_lastname?: string | null;
            preferred_program?: components["schemas"]["Program"] | null;
            profile_picture_meta?: components["schemas"]["ProfilePictureMeta"] | null;
            profile_picture_status: components["schemas"]["UploadStatus"];
            question_teacher?: string | null;
            rejected: boolean;
            sciper: string;
            session_key?: string | null;
        };
        UserData: {
            other_pictures: components["schemas"]["OtherPicture"][];
            user: components["schemas"]["User"];
        };
        UserSession: {
            firstname: string;
            lastname: string;
            profile_picture_status: components["schemas"]["UploadStatus"];
            sciper: string;
            session_key: string;
        };
        /**
         * @description Generic error for Yearbook API
         * @enum {string}
         */
        YearbookApiError: "InternalError" | "Forbidden" | "ProtocolError" | "FormatError" | "NotFound" | "Conflict";
    };
    responses: {
        /** @description Generic error for Yearbook API */
        YearbookApiError: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": "InternalError" | "Forbidden" | "ProtocolError" | "FormatError" | "NotFound" | "Conflict";
            };
        };
    };
    parameters: never;
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type $defs = Record<string, never>;
export interface operations {
    get_expected_users: {
        parameters: {
            query: {
                admin_key: string;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ExpectedUserJoined"][];
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_expected_users: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostExpectedUsers"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["ExpectedUser"][];
                };
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_logs: {
        parameters: {
            query: {
                admin_key: string;
                user?: string | null;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["Log"][];
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_admin_profile_picture_thumbnail: {
        parameters: {
            query: {
                key: string;
            };
            header?: never;
            path: {
                sciper: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    get_admin_profile_picture: {
        parameters: {
            query: {
                admin_override?: boolean | null;
                ae?: number | null;
                cropped?: boolean | null;
                key: string;
            };
            header?: never;
            path: {
                sciper: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    post_admin_profile_picture_frame: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                sciper: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostAdminProfilePictureFrame"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_admin_profile_picture_rembg: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                sciper: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostAdminProfilePictureRemBG"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_report: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostReport"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_reports: {
        parameters: {
            query: {
                admin_key: string;
                sciper?: string | null;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["Report"][];
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_user: {
        parameters: {
            query: {
                admin_key: string;
            };
            header?: never;
            path: {
                sciper: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"] | null;
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_admin_user_rejected: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                sciper: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostAdminUserRejected"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_users: {
        parameters: {
            query: {
                admin_key: string;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"][];
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    health_check: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Health Ok */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    post_email_login_callback: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostEmailLoginCallback"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["PostEmailLoginCallbackResponse"];
                };
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_email_login_request: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostEmailLoginRequest"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["PostEmailLoginResponse"];
                };
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_form_open: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "text/plain": boolean;
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_tequila_callback: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostTequilaCallbackForm"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["PostTequilaCallbackResponse"];
                };
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_tequila_request: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["PostTequilaRequestResponse"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_user_confirm: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostUserExtraForm"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_user_data: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UserData"];
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_user_extra: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostUserExtraForm"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_user_identity: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostUserIdentityForm"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_user_other_picture: {
        parameters: {
            query: {
                key: string;
            };
            header?: never;
            path: {
                index: number;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    post_user_other_picture: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                index: number;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "multipart/form-data": components["schemas"]["PostUserOtherPicture"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    delete_user_other_picture: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                index: number;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_user_profile_picture: {
        parameters: {
            query: {
                ae?: number | null;
                cropped?: boolean | null;
                key: string;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    post_user_profile_picture: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "multipart/form-data": components["schemas"]["PostUserProfilePicture"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    delete_user_profile_picture: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    get_user_profile_picture_status: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UploadStatus"];
                };
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            403: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_user_profile_picture_frame: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostUserProfilePictureFrame"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            409: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_user_report_list_error: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostUserReportListErrorForm"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
    post_user_report_rembg: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["PostUserReportRembgForm"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            400: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
            500: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["YearbookApiError"];
                };
            };
        };
    };
}
